# coding: utf-8

"""
    REST API

    Rockset's REST API allows for creating and managing all resources in Rockset. Each supported endpoint is documented below.  All requests must be authorized with a Rockset API key, which can be created in the [Rockset console](https://console.rockset.com). The API key must be provided as `ApiKey <api_key>` in the `Authorization` request header. For example: ``` Authorization: ApiKey aB35kDjg93J5nsf4GjwMeErAVd832F7ad4vhsW1S02kfZiab42sTsfW5Sxt25asT ```  All endpoints are only accessible via https.  Build something awesome!  # noqa: E501

    OpenAPI spec version: v1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class OrgRecentActivity(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'last_activity_millis': 'int',
        'activity_type': 'str',
        'scheduled_deletion_time_millis': 'int'
    }

    attribute_map = {
        'last_activity_millis': 'last_activity_millis',
        'activity_type': 'activity_type',
        'scheduled_deletion_time_millis': 'scheduled_deletion_time_millis'
    }

    def __init__(self, **kwargs):  # noqa: E501
        """OrgRecentActivity - a model defined in Swagger"""  # noqa: E501

        self._last_activity_millis = None
        self._activity_type = None
        self._scheduled_deletion_time_millis = None
        self.discriminator = None

        self.last_activity_millis = kwargs.pop('last_activity_millis', None)
        self.activity_type = kwargs.pop('activity_type', None)
        self.scheduled_deletion_time_millis = kwargs.pop('scheduled_deletion_time_millis', None)

    @property
    def last_activity_millis(self):
        """Gets the last_activity_millis of this OrgRecentActivity.  # noqa: E501

        unix millis of the most recent activity for the org  # noqa: E501

        :return: The last_activity_millis of this OrgRecentActivity.  # noqa: E501
        :rtype: int
        """
        return self._last_activity_millis

    @last_activity_millis.setter
    def last_activity_millis(self, last_activity_millis):
        """Sets the last_activity_millis of this OrgRecentActivity.

        unix millis of the most recent activity for the org  # noqa: E501

        :param last_activity_millis: The last_activity_millis of this OrgRecentActivity.  # noqa: E501
        :type: int
        """

        self._last_activity_millis = last_activity_millis

    @property
    def activity_type(self):
        """Gets the activity_type of this OrgRecentActivity.  # noqa: E501

        type of activity which was most recently performed  # noqa: E501

        :return: The activity_type of this OrgRecentActivity.  # noqa: E501
        :rtype: str
        """
        return self._activity_type

    @activity_type.setter
    def activity_type(self, activity_type):
        """Sets the activity_type of this OrgRecentActivity.

        type of activity which was most recently performed  # noqa: E501

        :param activity_type: The activity_type of this OrgRecentActivity.  # noqa: E501
        :type: str
        """

        self._activity_type = activity_type

    @property
    def scheduled_deletion_time_millis(self):
        """Gets the scheduled_deletion_time_millis of this OrgRecentActivity.  # noqa: E501

        unix millis of the time the org is scheduled to be deleted  # noqa: E501

        :return: The scheduled_deletion_time_millis of this OrgRecentActivity.  # noqa: E501
        :rtype: int
        """
        return self._scheduled_deletion_time_millis

    @scheduled_deletion_time_millis.setter
    def scheduled_deletion_time_millis(self, scheduled_deletion_time_millis):
        """Sets the scheduled_deletion_time_millis of this OrgRecentActivity.

        unix millis of the time the org is scheduled to be deleted  # noqa: E501

        :param scheduled_deletion_time_millis: The scheduled_deletion_time_millis of this OrgRecentActivity.  # noqa: E501
        :type: int
        """

        self._scheduled_deletion_time_millis = scheduled_deletion_time_millis

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(OrgRecentActivity, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, OrgRecentActivity):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other

    def __getitem__(self, item):
        return getattr(self, item)

    def get(self, item):
        return getattr(self, item)

    def items(self):
        return self.to_dict().items()

    def __setitem__(self, item, value):
        return seattr(self, item, value)
